;
; Colouring and Notifications
;

; settings

/set messaging 0

; definitions

/def GREEN = /def -F -PCgreen -mregexp -t'%{*}'
/def WHITE = /def -F -PBCwhite -mregexp -t'%{*}'
/def RED = /def -F -PCred -mregexp -t'%{*}'
/def YELLOW = /def -F -PCyellow -mregexp -t'%{*}'
/def BLUE = /def -F -PCblue -mregexp -t'%{*}'
/def CYAN = /def -F -PCcyan -mregexp -t'%{*}'
/def MAGENTA = /def -F -PCmagenta -mregexp -t'%{*}'

/def e = /echo -aCcyan %{*}

/def messaging = \
    /if (messaging) \
        /set messaging 0 %;\
        /e @ special messages OFF %;\
    /else \
        /set messaging 1 %;\
        /e @ special messages ON %;\
    /endif

; general

/WHITE ^([^ ]+|.*) gives you .*\.$
/WHITE (He|She|It) is wielding .*\.$

/GREEN ^Your senses come alive

/MAGENTA ^Your .* increases .*\.$

; condition

/hilite *physically*and mentally*

/GREEN ^You feel much better\.$
/GREEN ^You feel healthier\.$
/GREEN ^You feel mentally healthier\.$
/GREEN ^You feel less tired\.$
/RED ^You have been poisoned\!$
/RED ^You feel less healthy\.$
/RED ^You feel much less healthy\.$
/RED ^You feel mentally less healthy\.$
/RED ^You feel mentally much less healthy\.$
/RED ^You feel more tired.\$
/RED ^You feel much more tired.\$

/WHITE ^(He|She|It) seems to be .*\.$

; hits

/def -F -P1Cgreen -mregexp -t'^You (barely scrape|scratch|rake|seriously cut|cut deeply|cut|rip into|fiercely rive)'
/def -F -P1Cred -mregexp -t'(barely scrapes|scratches|rakes|seriously cuts|cuts deeply|cuts|rips into|fiercely rives) your'

/def -F -P1Cgreen -mregexp -t'^You (lightly bruise|batter|pound|beat|seriously beat|soundly beat|hammer|brutally pummel)'
/def -F -P1Cred -mregexp -t'(lightly bruises|batters|pounds|beats|seriously beats|soundly beats|hammers|brutally pummels) your'

/def -F -P1Cgreen -mregexp -t'^You (just nick|graze|jab|seriously stab|stab deeply|stab|lance through|viciously impale)'
/def -F -P1Cred -mregexp -t'(just nicks|grazes|jabs|seriously stabs|stabs deeply|stabs|lances through|viciously impales) your'

/def -F -P1Cfgreen -mregexp -t'^You (scrape|hurt|barely wound|wound|injure|smash|massacre)'
/def -F -P1Cred -mregexp -t'(scrapes|hurts|barely wounds|wounds|injures|smashes|massacres) your'

/def -F -P1Cgreen -mregexp -t'^You (barely touch|gouge|nick|slice|pierce|impale|drive|lacerate|almost sever|almost sunder|nearly sever|nearly sunder|bury|slash|tickle|tear) (into|open|your|the)'
/def -F -P1Cred -mregexp -t'(barely touches|almost sunders|gouge|tickles|tears|slices|almost severs|nearly severs|nearly sunders|lacerates|drives|impales|nicks|slashes|buries) (its .*|)(into |open |)your'

/def -F -P1Cgreen -mregexp -t'and do (.* damage)\.$'
/def -F -P1Cred -mregexp -t'and does (.* damage)\.$'

; exits

/def -F -P1BCwhite -mregexp -t'(east|north|south|west|southeast|southwest|northeast|northwest)( and|\,|\.)'

/def -F -P1BCwhite -mregexp -t'\, (east|north|south|west|southeast|southwest|northeast|northwest)$'

/WHITE ^(The .*|[^ ]+) (leaves|panics and flees) (|.*)north\.$
/WHITE ^(The .*|[^ ]+) (leaves|panics and flees) (|.*)east\.$
/WHITE ^(The .*|[^ ]+) (leaves|panics and flees) (|.*)south\.$
/WHITE ^(The .*|[^ ]+) (leaves|panics and flees) (|.*)west\.$
/WHITE ^(The .*|[^ ]+) (leaves|panics and flees) (|.*)northeast\.$
/WHITE ^(The .*|[^ ]+) (leaves|panics and flees) (|.*)southeast\.$
/WHITE ^(The .*|[^ ]+) (leaves|panics and flees) (|.*)northwest\.$
/WHITE ^(The .*|[^ ]+) (leaves|panics and flees) (|.*)southwest\.$
/WHITE ^(The .*|[^ ]+) (leaves|panics and flees) (|.*)up\.$
/WHITE ^(The .*|[^ ]+) (leaves|panics and flees) (|.*)down\.$

; weapon and armour condition

/def -F -P1BCwhite -mregexp -t'It looks like it is (in prime condition)\.$'
/def -F -P1BCwhite -mregexp -t'It looks like it is (a little worn down)\.$'
/def -F -P1BCwhite -mregexp -t'It looks like it is (in a fine condition)\.$'
/def -F -P1BCwhite -mregexp -t'It looks like it is (a little touched by battle)\.$'
/def -F -P1BCwhite -mregexp -t'It looks like it is (a little scarred by battle)\.$'
/def -F -P1BCwhite -mregexp -t'It looks like it is (touched by battle)\.$'
/def -F -P1BCwhite -mregexp -t'It looks like it is (scarred by battle)\.$'
/def -F -P1BCwhite -mregexp -t'It looks like it is (in a very bad shape)\.$'
/def -F -P1BCwhite -mregexp -t'It looks like it is (very scarred by battle)\.$'
/def -F -P1BCwhite -mregexp -t'It looks like it is (in urgent need of repair)\.$'
/def -F -P1BCwhite -mregexp -t'It looks like it is (in big need of a smith)\.$'
/def -F -P1BCwhite -mregexp -t'It looks like it is (going to break any second)\.$'

/WHITE This object seems to be able to last a while

/WHITE intact and without any rips

/RED ^The .* breaks\!\!\!$

/WHITE Some runes have been etched into the blade, near the hilt\.

/MAGENTA (unusual|peculiar|exotic)

; communication

/def -PBCyellow -F -mregexp -t'>? ?^([A-Z][a-z]*) .*(admits|agrees|ahoys|announces|\
	answers|asks|aquiesces|babbles|barks|bellows|blurts|booms|breathes|\
	bursts into song|carols|caroons|chants|chatters|chirps|chuckles|claims|\
	communicates|conceeds|confesses|conveys|complains|coos|cries|cries out|cries out with fervor|croons|declares|\
	decrees|delineates|eerie voice|enunciates|explains|garbles|giggles|grates|grins|groans|growls|grumbles|grunts|hints|\
	hisses|howls|implies|indicates|in Draco|inquires|insinuates|intones|\
	jabbers|laments|laughs|lilts|mentions|mimes|moans|mumbles|murmurs|trance-like tone|\
	notes|observes|old Solamnian|pleads|ponders|pouts|puffs|queries|rasps|\
	remarks|replies|resonates|retorts|roars|rumbles|says|snarls|with a lilting accent|\
	shouts|shrieks|sighs|signals|sings|sings with a musical breath|scoffs|smiles|\
	smirks|snaps|snarls|sneers|snickers|sniffs|snivels|snorts|sobs|\
    speaks|speaks in a hushed voice|speaks in a hollow, distant voice|lilting language|\
	secret kender tongue|squeaks|suggests|thinks|thunders|trills|twitters|utters|\
	utters in the black tongue|ululates|wails|warbles|whines|whispers|wonders|yells):'

/def -PBCyellow -F -mregexp -t'>? ?^([A-Z][a-z]*) .*(admits|agrees|ahoys|announces|\
	answers|asks|aquiesces|babbles|barks|bellows|blurts|booms|breathes|\
	bursts into song|carols|caroons|chants|chatters|chirps|chuckles|claims|\
	communicates|conceeds|confesses|conveys|complains|coos|cries|cries out|cries out with fervor|croons|declares|\
	decrees|delineates|eerie voice|enunciates|explains|garbles|giggles|grates|grins|groans|growls|grumbles|grunts|hints|\
	hisses|howls|implies|indicates|in Draco|inquires|insinuates|intones|\
	jabbers|laments|laughs|lilts|mentions|mimes|moans|mumbles|murmurs|trance-like tone|\
	notes|observes|old Solamnian|pleads|ponders|pouts|puffs|queries|rasps|\
	remarks|replies|resonates|retorts|roars|rumbles|says|snarls|with a lilting accent|\
	shouts|shrieks|sighs|signals|sings|sings with a musical breath|scoffs|smiles|\
	smirks|snaps|snarls|sneers|snickers|sniffs|snivels|snorts|sobs|\
    speaks|speaks in a hushed voice|speaks in a hollow, distant voice|lilting language|\
	secret kender tongue|squeaks|suggests|thinks|thunders|trills|twitters|utters|\
	utters in the black tongue|ululates|wails|warbles|whines|whispers|wonders|yells) to .*:'

/def -PBCyellow -F -mregexp -t'>? ?^([A-Z][a-z]*) .*(asks you|in your ear):'

/def -PBCyellow -F -mregexp -t'message from %{P2}'

/def -PBCyellow -F -mregexp -t'^The voice .* invades your mind saying:'

/def -PBCyellow -F -mregexp -t'^As if from behind .* whispering:'

/def -PBCyellow -F -mregexp -t'^You (say|ask|whisper|.*)(| .*):'

/def -PBCyellow -F -mregexp -t'^You (tell|replied to).*:'

/def -PBCyellow -F -mregexp -t'>? ?([A-Z][a-z]*) tells you:'

/def -PBCyellow -F -mregexp -t'^\<.*\> .*:'

/def -PBCyellow -F -mregexp -t'^Your .* paddle (vibrates|dances) .*\.'
