;
; Items
;

; variables

/set coins 1
/set gems 0
/set light 0
/set pack 0

; aliases

/alias g /send get all
/alias ga /send get armours
/alias gc /send get coins
/alias gg /send get gems
/alias gw /send get weapons
/alias gac /send get armours from corpse
/alias gcc /send get coins from corpse
/alias ggc /send get gems from corpse
/alias gwc /send get weapons from corpse

/alias la /send light all
/alias lt /send light torch
/alias ll /send light lamp
/alias ex /send extinguish all
/alias et /send extinguish torch
/alias el /send extinguish lamp
/alias dt /send drop burnt out torch

/alias op /send open pack
/alias cp /send close pack
/alias fp /send fill pack
/alias ep /send empty pack
/alias gp /send get %{*} from pack
/alias pp /send put %{*} in pack
/alias pack op %; fp %; cp
/alias unpack op %; ep %; cp

/alias sa unpack %; /send sell all

/alias dep /send deposit %{*}
/alias wd /send withdraw %{*}

/alias bro /send drop broken items

/alias loot /set lootvar %{*} %;\
    /if (lootvar =~ "") \
        /send get all from corpse %;\
        /if (pack) \
	    pack %;\
	/endif %;\
    /elseif (lootvar == 2) \
	/send get all from corpse %;\
        /send get all from second corpse %;\
	/if (pack) \
	    pack %;\
	/endif %;\
    /elseif (lootvar == 3) \
	/send get all from corpse %;\
	/send get all from second corpse %;\
	/send get all from third corpse %;\
	/if (pack) \
	    pack %;\
	/endif %;\
    /elseif (lootvar == 4) \
	/send get all from corpse %;\
	/send get all from second corpse %;\
	/send get all from third corpse %;\
	/send get all from fourth corpse %;\
	/if (pack) \
	    pack %;\
	/endif %;\
    /elseif (lootvar == 5) \
	/send get all from corpse %;\
	/send get all from second corpse %;\
	/send get all from third corpse %;\
	/send get all from fourth corpse %;\
	/send get all from fifth corpse %;\
	/if (pack) \
	    pack %;\
	/endif %;\
    /else \
        /send get all from corpse %;\
        /if (pack) \
            pack %;\
        /endif %;\
    /endif

; definitions

/def coins = \
    /if (coins) \
        /set coins 0 %;\
     	/e @ automatic coins looting OFF %;\
    /else \
        /set coins 1 %;\
	/e @ automatic coins looting ON %;\
    /endif

/def gems = \
    /if (gems) \
        /set gems 0 %;\
        /e @ automatic gems looting OFF %;\
    /else \
        /set gems 1 %;\
	/e @ automatic gems looting ON %;\
    /endif

/def pack = \
    /if (pack) \
        /set pack 0 %;\
        /e @ automatic packing OFF %;\
    /else \
        /set pack 1 %;\
        /e @ automatic packing ON %;\
    /endif

/def light = \
    /if (light) \
        /set light 0 %;\
        /e @ automatic light handling OFF %;\
    /else \
        /set light 1 %;\
        /e @ automatic light handling ON %;\
    /endif

/def lootarmours = \
    /e @ looting armours %;\
    /send get armours from corpse %;\
    /send get armours from second corpse %;\
    /send get armours from third corpse %;\
    /send get armours from fourth corpse %;\
    /send get armours from fifth corpse %;\
    /if (pack) \
        pack %;\
    /endif

/def lootcoins = \
    /e @ looting coins %;\
    /send get coins from corpse %;\
    /send get coins from second corpse %;\
    /send get coins from third corpse %;\
    /send get coins from fourth corpse %;\
    /send get coins from fifth corpse

/def lootgems = \
    /e @ looting gems %;\
    /send get gems from corpse %;\
    /send get gems from second corpse %;\
    /send get gems from third corpse %;\
    /send get gems from fourth corpse %;\
    /send get gems from fifth corpse

/def lootweapons = \
    /e @ looting weapons %;\
    /send get weapons from corpse %;\
    /send get weapons from second corpse %;\
    /send get weapons from third corpse %;\
    /send get weapons from fourth corpse %;\
    /send get weapons from fifth corpse %;\
    /if (pack) \
        pack %;\
    /endif

/def ireset = \
    /e @ resetting item variables %;\
    /set coins 1 %;\
    /set gems 0 %;\
    /set light 0 %;\
    /set pack 0

; triggers

/def -F -mregexp -t'^You light .*\.$' l_light = \
    /if (!light) \
        /light %;\
    /endif

/def -F -mregexp -t'^You extinguish .*\.$' ex_light = \
    /if (light) \
        /light %;\
    /endif

/def -F -mregexp -t'^Your .* flickers briefly\. It seems to be running out of oil\.$' fill_lamp = \
    /if (light) \
        /send fill lamp with oil %;\
    /endif

/def -F -mregexp -t'^You fill .* with all the lamp-oil in the flask\.$' empty_flask = \
    /if (light) \
        /send drop empty flask %;\
    /endif

/def -F -mregexp -t'^You wear the .* *(ack|ag) \(open\) on your back\.$' wear_open_pack = \
    /if (!pack) \
        /pack %;\
    /endif

/def -F -mregexp -t'^You wear the .* *(ack|ag) on your back\.$' wear_pack = \
    /if (!pack) \
        /pack %;\
    /endif

/def -F -mregexp -t'^You already wear the .* *(ack|ag)\.$' pack_there = \
    /if (!pack) \
        /pack %;\
    /endif

/def -F -mregexp -t'^You remove the .* *(ack|ag)\.$' remove_pack = \
    /if (pack) \
        /pack %;\
    /endif

/def -F -mregexp -t'^You remove the .* *(ack|ag) \(open\)\.$' remove_open_pack = \
    /if (pack) \
        /pack %;\
    /endif

/def -F -mregexp -t'^You get .* broken' drop_broken = \
    /send drop broken items %;\
    /e @ dropping broken items
