;
; Teams
;

; variables

/set assisted 0
/set assisting 0
/set team 0
/set leader none
/set members none

; aliases

/alias a /send assist %{*}
/alias j /send whisper to team %{*}

; definitions

/def assisting = \
    /if (assisting) \
        /set assisting 0 %;\
        /e @ automatic assisting OFF %;\
    /else \
        /set assisting 1 %;\
        /e @ automatic assisting ON %;\
    /endif

/def check_assist = \
    /if (assisting) \
        /if (!assisted) \
            /set assisted 1 %;\
            /repeat -3 1 /send assist %leader %;\
            /repeat -3 1 /set assisted 0 %;\
        /endif %;\
    /endif

/def team = \
    /if (team) \
        /set team 0 %;\
        /e @ team status OFF %;\
    /else \
        /set team 1 %;\
        /e @ team status ON %;\
    /endif

/def leader = \
    /set leader %{*} %;\
    /if (leader =~ "") \
        /set assisted 0 %;\
        /set assisting 0 %;\
        /set leader none %;\
        /if (team) \
            /team %;\
        /endif %;\
        /if (!boarding) \
            /boarding %;\
        /endif %;\
    /else \
        /set leader %{*} %;\
        /set assisted 0 %;\
        /if (atk) \
            /atk %;\
        /endif %;\
        /if (!team) \
            /team %;\
        /endif %;\
        /if (assisting) \
            /assisting %;\
        /endif %;\
        /if (boarding) \
            /boarding %;\
        /endif %;\
    /endif %;\
    /e @ team leader is now: %leader

/def treset = \
     /e @ resetting team variables %;\
     /set assisted 0 %;\
     /set assisting 0 %;\
     /set team 0 %;\
     /set leader none

; triggers

/def -F -mregexp -t'^Your leader is now ([A-Za-z -]*)\.$' joined = \
     /leader %{P1}

/def -F -mregexp -t'^You are now lead by ([A-Za-z -]*)\.$' leader_change = \
     /leader %{P1}

/def -F -mregexp -t'^You leave the team of .*\.$' left_team = \
    /if (leader !~ "none") \
        /set leader none %;\
        /set assisted 0 %;\
        /set assisting 0 %;\
        /if (team) \
            /team %;\
        /endif %;\
        /if (!boarding) \
            /boarding %;\
        /endif %;\
    /endif

/def -F -mregexp -t'forces you to leave (his|her|its) team\.$' team_forced = \
    /if (leader !~ "none") \
        /set leader none %;\
        /set assisted 0 %;\
        /set assisting 0 %;\
        /if (team) \
            /team %;\
        /endif %;\
        /if (!boarding) \
            /boarding %;\
        /endif %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) disbands (his|her|its) team and forces you to leave\.$' team_disband = \
    /if (leader =~ {P1}) \
        /set leader none %;\
        /set assisted 0 %;\
        /set assisting 0 %;\
        /if (team) \
            /team %;\
        /endif %;\
        /if (!boarding) \
            /boarding %;\
        /endif %;\
    /endif
    
/def -F -mregexp -t'^You assist' you_assist = \
    /set assisted 1 %;\
    /repeat -3 1 /set assisted 0

/def -F -mregexp -t'>? ?([A-Z][a-z]*) killed .*\.$' team_killed = \
    /if (team) \
        /check_assist %;\
    /endif

/def -Fp1 -mregexp -t'>? ?([A-Z][a-z]*) attacks' team_attack = \
    /if (team & (leader =~ {P1})) \
        /check_assist %;\
    /endif

/def -Fp1 -mregexp -t'attacks ([A-Z][a-z]*)' team_under_attack = \
    /if (team & (leader =~ {P1})) \
        /check_assist %;\
    /endif

/def -Fp1 -mregexp -t'>? ?([A-Z][a-z]*) turns to attack' team_next_attack = \
    /if (team & (leader =~ {P1})) \
        /check_assist %;\
    /endif

/def -Fp1 -mregexp -t'>? ?([A-Z][a-z]*) assists' team_assist = \
    /if (team & (leader =~ {P1})) \
        /check_assist %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) swims up and rubs the left eye' team_thalassia = \
    /if (team & (leader =~ {P1})) \
        /send rub left eye %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) swims up to the gates\.$'  team_thalassia2 = \
    /if (team & (leader =~ {P1})) \
        /send enter gates %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) leaves swimming across the river\.$' team_river = \
    /if (team & (leader =~ {P1})) \
        /send swim river %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) vanishes into a hidden exit somewhere\.$' team_tunnel = \
    /if (team & (leader =~ {P1})) \
        /send exa bushes %;\
        /send enter tunnel %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) leaves climbing into the swift sailing ship\.$' team_ship = \
    /if (team & (leader =~ {P1})) \
        /send board ship %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) climbs out onto the boulders nearing the falls\.$' team_waterfall = \
    /if (team & (leader =~ {P1})) \
        /send climb boulder %;\
        /send enter waterfall %;\
        /send climb up %;\
        /send climb up %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) jumps into the falls and disappears into the water\!$' team_waterfall2 = \
    /if (team & (leader =~ {P1})) \
        /send enter waterfall %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) climbs up the cliff' team_climb = \
    /if (team & (leader =~ {P1})) \
        /send climb up %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) crawls into the crack\.$' team_crack = \
    /if (team & (leader =~ {P1})) \
        /send crawl into crack %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) leaves into the bushes\.$' team_bush = \
    /if (team & (leader =~ {P1})) \
        /send enter bushes %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) gets down on all fours and climbs into the bushes\.$' team_bush2 = \
    /if (team & (leader =~ {P1})) \
        /send enter bushes %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) leaves through the bush\.$' team_bush3 = \
    /if (team & (leader =~ {P1})) \
        /send enter bush %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) wades his way through the bushes\.$' team_angmar = \
    /if (team & (leader =~ {P1})) \
        /send enter bushes %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) walks through the gap' team_gap = \
    /if (team & (leader =~ {P1})) \
        /send enter gap %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) leaves climbing up the big rock\.$' team_rock = \
    /if (team & (leader =~ {P1})) \
        /send climb rock %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) falls into a dark hole and disappears' team_barrow = \
    /if (team & (leader =~ {P1})) \
        /send dig %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) leaves climbing up the swing\.$' team_swing = \
    /if (team & (leader =~ {P1})) \
        /send climb swing %;\
        /send climb trunk %;\
        /send jump roof %;\
        /send crawl west tree %;\
        /send jump west tree %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) climbs the ladder and disappears' team_ladder = \
    /if (team & (leader =~ {P1})) \
        /send climb ladder %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) pushes on the doors' team_doors = \
    /if (team & (leader =~ {P1})) \
        /send push door %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) steps out into the fetid water' team_pool = \
    /if (team & (leader =~ {P1})) \
        /send enter pool %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) leaves up the mizzen-mast' team_mast = \
    /if (team & (leader =~ {P1})) \
        /send climb mizzen-mast %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) boards the basket' team_basket1 = \
    /if (team & (leader =~ {P1})) \
        /send enter basket %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) leaps out of the basket' team_basket2 = \
    /if (team & (leader =~ {P1})) \
        /send out %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) leaves entering the tent\.$' team_tent = \
    /if (team & (leader =~ {P1})) \
        /send enter tent %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) leaves by climbing up the cliff\.$' team_cliff = \
    /if (team & (leader =~ {P1})) \
        /send climb cliff %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) scrambles up the cliff\.$' team_cliff2 = \
    /if (team & (leader =~ {P1})) \
        /send climb cliff %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) skillfully climbs down the sheer rock cliff' team_cliff3 = \
    /if (team & (leader =~ {P1})) \
        /send unwield all %;\
        /send climb down %;\
        /send wield all %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) ascends the cliff' team_cliff4 = \
    /if (team & (leader =~ {P1})) \
        /send unwield all %;\
        /send climb cliff %;\
        /send wield all %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) leaves climbing up the face of the cliff\.$' team_cliff5 = \
    /if (team & (leader =~ {P1})) \
        /send climb up %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) leaves climbing down the face of the cliff\.$' team_cliff6 = \
    /if (team & (leader =~ {P1})) \
        /send climb down %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) enters a small opening\.$' team_opening = \
    /if (team & (leader =~ {P1})) \
        /send enter opening %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) crawls under the rock\.$' team_opening2 = \
    /if (team & (leader =~ {P1})) \
        /send squeeze through opening %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) (leaves into the outside world|leaves into the dark cave)\.$' team_icewall = \
    /if (team & (leader =~ {P1})) \
        /send push through snow %;\
        /send pass carefully through stalagmites %;\
    /endif

/def -F -mregexp -t'>? ?([A-Z][a-z]*) leaves through the fissure\.$' team_icewall2 = \
    /if (team & (leader =~ {P1})) \
        /send pass carefully through stalagmites %;\
    /endif
